(function() {
    // 名前空間を準備
    // また準備済みなら何もしない
    if (!neo.core.readyNamespace('neo.Ajax.ajaxMessages')) {
        return;
    }

    // 言語ごとの文章
    neo.Ajax.ajaxMessages = neo.core.decodeAll({
        // ダイアログのタイトル
        // 「通信エラー」
        dialogTitle: '%E9%80%9A%E4%BF%A1%E3%82%A8%E3%83%A9%E3%83%BC',

        // ダイアログを閉じるボタン
        // 「閉じる」
        dialogCloseButtonCaption: '%E9%96%89%E3%81%98%E3%82%8B',

        // ダイアログのメッセージ初めに表示するもの
        // 「通信時に以下のエラーが発生しました。
        //   継続して操作を行う場合、
        //   画面を最新の状態に更新してください。」
        errBase: '%E9%80%9A%E4%BF%A1%E6%99%82%E3%81%AB%E4%BB%A5%E4%B8%8B%E3'
            + '%81%AE%E3%82%A8%E3%83%A9%E3%83%BC%E3%81%8C%E7%99%BA%E7%94%9F'
            + '%E3%81%97%E3%81%BE%E3%81%97%E3%81%9F%E3%80%82%E7%B6%99%E7%B6'
            + '%9A%E3%81%97%E3%81%A6%E6%93%8D%E4%BD%9C%E3%82%92%E8%A1%8C%E3'
            + '%81%86%E5%A0%B4%E5%90%88%E3%80%81%E7%94%BB%E9%9D%A2%E3%82%92'
            + '%E6%9C%80%E6%96%B0%E3%81%AE%E7%8A%B6%E6%85%8B%E3%81%AB%E6%9B'
            + '%B4%E6%96%B0%E3%81%97%E3%81%A6%E3%81%8F%E3%81%A0%E3%81%95%E3'
            + '%81%84%E3%80%82',

        // HTTPエラー
        errHttp: neo.core.decodeAll({
            // 「サーバーにアクセス権がありません。」
            '403':'%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC%E3%81%AB%E3%82%A2%E3'
                + '%82%AF%E3%82%BB%E3%82%B9%E6%A8%A9%E3%81%8C%E3%81%82%E3%82'
                + '%8A%E3%81%BE%E3%81%9B%E3%82%93%E3%80%82',

            // 「URLが間違っている可能性があります。」
            '404':'URL%E3%81%8C%E9%96%93%E9%81%95%E3%81%A3%E3%81%A6%E3%81%84'
                + '%E3%82%8B%E5%8F%AF%E8%83%BD%E6%80%A7%E3%81%8C%E3%81%82%E3'
                + '%82%8A%E3%81%BE%E3%81%99%E3%80%82',

            // 「サーバーで異常が発生しました。」
            '500':'%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC%E3%81%A7%E7%95%B0%E5'
                + '%B8%B8%E3%81%8C%E7%99%BA%E7%94%9F%E3%81%97%E3%81%BE%E3%81'
                + '%97%E3%81%9F%E3%80%82',

            // 「サーバーが混み合っています。
            //   しばらく待ってから再度実行してください。」
            '503':'%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC%E3%81%8C%E6%B7%B7%E3'
                + '%81%BF%E5%90%88%E3%81%A3%E3%81%A6%E3%81%84%E3%81%BE%E3%81'
                + '%99%E3%80%82%E3%81%97%E3%81%B0%E3%82%89%E3%81%8F%E5%BE%85'
                + '%E3%81%A3%E3%81%A6%E3%81%8B%E3%82%89%E5%86%8D%E5%BA%A6%E5'
                + '%AE%9F%E8%A1%8C%E3%81%97%E3%81%A6%E3%81%8F%E3%81%A0%E3%81'
                + '%95%E3%81%84%E3%80%82',

            // 「サーバーでタイムアウトが発生しました。」
            '504':'%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC%E3%81%A7%E3%82%BF%E3'
                + '%82%A4%E3%83%A0%E3%82%A2%E3%82%A6%E3%83%88%E3%81%8C%E7%99'
                + '%BA%E7%94%9F%E3%81%97%E3%81%BE%E3%81%97%E3%81%9F%E3%80%82'
        }),

        // 「サーバーでエラーが発生しました。（不正な応答）」
        parsererror:'%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC%E3%81%A7%E3%82%A8'
            + '%E3%83%A9%E3%83%BC%E3%81%8C%E7%99%BA%E7%94%9F%E3%81%97%E3%81'
            + '%BE%E3%81%97%E3%81%9F%E3%80%82%EF%BC%88%E4%B8%8D%E6%AD%A3%E3'
            + '%81%AA%E5%BF%9C%E7%AD%94%EF%BC%89',

        // 「サーバーが停止しているか、
        //   ネットワークが込み合っている可能性があります。」
        // （該当するメッセージが取得できなかった場合用）
        defaultMessage:'%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC%E3%81%8C%E5%81'
            + '%9C%E6%AD%A2%E3%81%97%E3%81%A6%E3%81%84%E3%82%8B%E3%81%8B%E3'
            + '%80%81%E3%83%8D%E3%83%83%E3%83%88%E3%83%AF%E3%83%BC%E3%82%AF'
            + '%E3%81%8C%E8%BE%BC%E3%81%BF%E5%90%88%E3%81%A3%E3%81%A6%E3%81'
            + '%84%E3%82%8B%E5%8F%AF%E8%83%BD%E6%80%A7%E3%81%8C%E3%81%82%E3'
            + '%82%8A%E3%81%BE%E3%81%99%E3%80%82',

        // 「OK」
        OK: 'OK',

        // 「キャンセル」
        'cancel': '%E3%82%AD%E3%83%A3%E3%83%B3%E3%82%BB%E3%83%AB',

        // 確認
        'confirm': '%E7%A2%BA%E8%AA%8D',

        // 通信中ですが、移動してよろしいですか？
        'msgConfirmMove':  '%E9%80%9A%E4%BF%A1%E4%B8%AD%E3%81%A7%E3%81%99'
            + '%E3%81%8C%E3%80%81%E7%A7%BB%E5%8B%95%E3%81%97%E3%81%A6%E3%82'
            + '%88%E3%82%8D%E3%81%97%E3%81%84%E3%81%A7%E3%81%99%E3%81%8B%EF'
            + '%BC%9F'
    });
})();
