------------------------------------------------------------------
-- キャラセット情報
------------------------------------------------------------------
CREATE TABLE TM_WML_CHARSET (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    CHARSET_ID                      DECIMAL(9) NOT NULL ,
    CHARSET                         VARCHAR(63) ,
    HEADER_ENCODE                   CHAR(1) ,
    TBODY_ENCODE                    CHAR(1) ,
    HBODY_ENCODE                    CHAR(1) ,
    cretime                         CHAR(14) NOT NULL ,
    updtime                         CHAR(14) NOT NULL 
    )
;
COMMENT ON TABLE TM_WML_CHARSET IS 'キャラセット情報';

COMMENT ON COLUMN TM_WML_CHARSET.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_WML_CHARSET.CHARSET_ID IS 'キャラセットＩＤ';
COMMENT ON COLUMN TM_WML_CHARSET.CHARSET IS 'キャラセット';
COMMENT ON COLUMN TM_WML_CHARSET.HEADER_ENCODE IS 'ヘッダー部のエンコード';
COMMENT ON COLUMN TM_WML_CHARSET.TBODY_ENCODE IS 'テキスト本文のエンコード';
COMMENT ON COLUMN TM_WML_CHARSET.HBODY_ENCODE IS 'HTML本文のエンコード';
COMMENT ON COLUMN TM_WML_CHARSET.cretime IS '作成日時';
COMMENT ON COLUMN TM_WML_CHARSET.updtime IS '更新日時';

ALTER TABLE TM_WML_CHARSET
    ADD CONSTRAINT TM_WML_CHARSET_PK PRIMARY KEY (SID_CORPORATE,CHARSET_ID)
;
