#!/bin/bash
if [ $# -lt 4 ]; then
	echo usage: $0 dneo localhost dneodb pgpath pgport
	exit 1
fi

export PGHOME=$4
export PATH=$PATH:$PGHOME/bin
export PGCLIENTENCODING=UTF8

if [ -z "$5" ]
then
    port=5432
else
    port=$5
fi

cd 001Schedule
bash install.sh $1 $2 $3 ${port}
cd ..
cd 002Setting
bash install.sh $1 $2 $3 ${port}
cd ..
cd 010Webmail
bash install.sh $1 $2 $3 ${port}
cd ..
cd 016Kobai
bash install.sh $1 $2 $3 ${port}
cd ..
