#!/bin/bash
if [ $# -lt 4 ]; then
        echo usage: $0 dneo localhost dneodb pgpath pgport
	exit 1
fi

export PGHOME=$4
export PATH=$PATH:$PGHOME/bin
export PGCLIENTENCODING=UTF8

if [ -z "$5" ]
then
    port=5432
else
    port=$5
fi

echo ========================== start data recovery no1
echo -----------Memo
psql -h $2 -p ${port} -d $3 -U $1 < no1/005Memo.sql
echo
echo -----------Flow
psql -h $2 -p ${port} -d $3 -U $1 < no1/009flow.sql
echo
echo -----------Forum
psql -h $2 -p ${port} -d $3 -U $1 < no1/013forum.sql
echo
echo -----------Project
psql -h $2 -p ${port} -d $3 -U $1 < no1/017project.sql
echo
echo ========================== end data recovery no1

echo ========================== start data recovery no2
echo -----------Setting
psql -h $2 -p ${port} -d $3 -U $1 < no2/002Setting.sql
echo
echo -----------Kobai
psql -h $2 -p ${port} -d $3 -U $1 < no2/016Kobai.sql
echo
echo ========================== end data recovery no2
