------------------------------------------------------------------
-- BTMANTI0012289: [修正パッチ] 伝言登録先テーブルのデータ修正パッチ
------------------------------------------------------------------
insert into TT_MEMO_OTHERTO 
 select SID_CORPORATE, ID, SID_USER_ENTRY as SID_ASSIGN, cretime, updtime, 0 as READ, 0 as DISP
  from TT_MEMO where SID_CORPORATE = 1 and ID in (
   select a.ID from TT_MEMO a left join TT_MEMO_OTHERTO b
    on b.ID = a.ID and b.SID_ASSIGN = a.SID_USER_ENTRY and a.SID_CORPORATE = b.SID_CORPORATE
     group by a.ID having count(b.DISP) = 0
  )
