(function($) {
/**
 *  タイムカード文言
 *
 * @class タイムカード文言
 */
    desknets.Resource.tcard = {
        //------------------------------------------
        // 設定確認
        //------------------------------------------
        'set_nochecked': '設定する対象を選択してください。' ,
        'set_allconf'  : 'すべてに設定してよろしいですか？' ,
        'set_someconf' : '表示中の{{count}}件に設定してよろしいですか？' ,
        'set_listconf' : '選択した{{count}}件に設定してよろしいですか？' ,
        //------------------------------------------
        // 事由関連
        //------------------------------------------
        'absence_normal'  : '欠勤' ,
        'absence_condole' : '慶弔' ,
        'absence_paid'    : '有休' ,
        'absence_compen'  : '代休' ,
        'absence_other'   : 'その他',
        //------------------------------------------
        // 出社状況・退社状況
        //------------------------------------------
        'time_late'      : '遅刻' ,
        'time_early'     : '早退' ,
        'time_approval'  : '承認済み' ,
        //------------------------------------------
        //
        //------------------------------------------
        'time_noinput' : '未入力' ,
        'time_nothing' : '---' ,
        //------------------------------------------
        // 承認ボタン
        //------------------------------------------
        'late_on'        : '遅刻扱い',
        'late_off'       : '遅刻としない',
        'leaveearly_on'  : '早退扱い',
        'leaveearly_off' : '早退としない',
         //------------------------------------------
         // 詳細ダウンロード選択ダイアログ
         //------------------------------------------
         'detailDownloadDialogTitle'  : '詳細ダウンロード',  // タイトル
         'detailDownloadButtonOk'     : 'ＯＫ',              // ボタンタイトル：Ok
         'detailDownloadButtonCancel' : '閉じる',            // ボタンタイトル：Cancel
         //------------------------------------------
         // 打刻IPアドレス設定
         //------------------------------------------
         'input_incorrect'        : '入力データが不正です。',
         //------------------------------------------
         // 就業実績の再集計
         //------------------------------------------
         'processing_datetime'    : '処理日時：',
         'tcard_total_error'      : '就業実績の再集計で以下のエラーが発生しました。',
         'tcard_total_nomal'      : '就業実績の再集計を正常に終了しました。',
         //------------------------------------------
         // 印刷
         //------------------------------------------
         'print_title'            : '勤務報告書',
         'create'                 : '作成',
         'username'               : '氏名',
         'groupname'              : 'グループ名',
         'total_workday'          : '就業',
         'total_overday'          : '残業',
         'total_restday'          : '休出',
         'total_late'             : '遅刻',
         'total_leaveearly'       : '早退',
         'total_absence'          : '欠席',
         'total_congorcond'       : '慶弔',
         'total_paidvacation'     : '有休',
         'total_compeholiday'     : '代休',
         'total_other'            : 'その他',
         'total_nodata'           : '未入力',
         'total_day'              : '日',
         'total_time'             : '時',
    };
})(jQuery);
